tzselect(8)

NOM
tzselect - Sélectionner un fuseau horaire

SYNOPSIS
tzselect [ -c coord ] [ -n limite ] [ --help ] [ --version ]

DESCRIPTION
Le programme tzselect demande à l'utilisateur des informations sur son emplacement géographique et fournit la description du fuseau horaire sur la sortie standard. Cette sortie est utilisable comme valeur pour la variable d'environnement TZ.

Toutes les interactions avec l'utilisateur se font par l'entrée standard et la sortie d'erreur.

OPTIONS

-c coord
    Instead of asking for continent and then country and then city, ask for selection from time zones whose largest cities are closest to the location with geographical coordinates coord. Use ISO 6709 notation for coord, that is, a latitude immediately followed by a longitude. The latitude and longitude should be signed integers followed by an optional decimal point and fraction: positive numbers represent north and east, negative south and west. Latitudes with two and longitudes with three integer digits are treated as degrees; latitudes with four or six and longitudes with five or seven integer digits are treated as DDMM, DDDMM, DDMMSS, or DDDMMSS representing DD or DDD degrees, MM minutes, and zero or SS seconds, with any trailing fractions represent fractional minutes or (if SS is present) seconds. The decimal point is that of the current locale. For example, in the (default) C locale, -c +40.689-074.045 specifies 40.689degreesN, 74.045degreesW, -c +4041.4-07402.7 specifies 40degrees41.4minutesN, 74degrees2.7minutesW, and -c +404121-0740240 specifies 40degrees41minutes21secondsN, 74degrees2minutes40secondsW. If coord is not one of the documented forms, the resulting behavior is unspecified.

-n limite
    Lorsque -c est utilisé, afficher les limite emplacements les plus proches (par défaut 10).

--help
    Afficher l’aide et terminer.

--version
    afficher les informations de version et quitter.

VARIABLES D'ENVIRONNEMENT

AWK Nom de l'interpréteur awk compatible POSIX disponible (par défaut : awk).

TZDIR
    Nom du répertoire contenant les fichiers de données des fuseaux horaires (par défaut : /usr/share/zoneinfo).

FICHIERS

TZDIR/iso3166.tab
    Table des noms de pays et des codes sur deux lettres (ISO 3166).

TZDIR/zone1970.tab
    Table des codes, des latitudes et longitudes, des fuseaux horaires pour des régions et leurs commentaires descriptifs.

TZDIR/TZ
    Fichier de données du fuseau horaire TZ.

CODE DE RETOUR
Le code de retour vaut zéro si un fuseau horaire a été obtenu correctement et est différent de zéro dans le cas contraire.

VOIR AUSSI
newctime(3), tzfile(5), zdump(8), zic(8)

NOTES
Les applications ne doivent pas présumer que la sortie de tzselect corresponde à des préférences politiques.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.